# Generated from sensu-plugins-docker-swarm-3.3.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sensu-plugins-docker-swarm

Name: rubygem-%{gem_name}
Version: 3.3.6
Release: 1%{?dist}
Summary: Sensu plugins for docker swarm
License: MIT
URL: https://github.com/bkneis/sensu-plugins-docker
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(codeclimate-test-reporter) >= 0.4
# BuildRequires: rubygem(codeclimate-test-reporter) < 1
# BuildRequires: rubygem(github-markup) >= 1.3
# BuildRequires: rubygem(github-markup) < 2
# BuildRequires: rubygem(kitchen-docker) >= 2.6
# BuildRequires: rubygem(kitchen-docker) < 3
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(redcarpet) >= 3.2
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.40.0
# BuildRequires: rubygem(rubocop) < 0.41
# BuildRequires: rubygem(test-kitchen) >= 1.16.0
# BuildRequires: rubygem(test-kitchen) < 1.17
# BuildRequires: rubygem(yard) >= 0.8
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
This plugin provides native Docker instrumentation
for monitoring and metrics collection, including:
container status, container number, container
metrics via `docker ps`, service status and service logs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/metrics-docker-info.rb
%{_bindir}/check-service.rb
%{_bindir}/metrics-docker-container.rb
%{_bindir}/check-docker-container.rb
%{_bindir}/check-container.rb
%{_bindir}/check-container-logs.rb
%{_bindir}/check-service-logs.rb
%{_bindir}/metrics-docker-stats.rb
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 3.3.6-1
- Initial package
